Package org.apache.commons.math3.geometry.spherical.oned

# Class ArcsSet.InconsistentStateAt2PiWrapping

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
org.apache.commons.math3.exception.MathIllegalArgumentException
org.apache.commons.math3.geometry.spherical.oned.ArcsSet.InconsistentStateAt2PiWrapping

All Implemented Interfaces:
  `Serializable`, `ExceptionContextProvider`

Enclosing class:
  `ArcsSet`

public static class ArcsSet.InconsistentStateAt2PiWrapping extends MathIllegalArgumentException
Specialized exception for inconsistent BSP tree state inconsistency.

This exception is thrown at `ArcsSet` construction time when the `inside/outside` state is not consistent at the 0, \(2 \pi \) crossing.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InconsistentStateAt2PiWrapping()`
Simple constructor.

## Method Summary

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InconsistentStateAt2PiWrapping

public InconsistentStateAt2PiWrapping()
Simple constructor.